scala.tools.cmd.gen.AnyVals

# Z

#### object Z extends AnyValRep

Linear Supertypes
AnyVals.AnyValRep, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Z
2. AnyValRep
3. AnyRef
4. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def assemble(decl: String, lines: List[String]): String

   Definition Classes
     AnyValRep

8. #### def boxUnboxImpls: Map[String, String]

   Definition Classes
     AnyValRep

9. #### def boxedName: String

   Definition Classes
     AnyValRep

10. #### def classDoc: String

    Definition Classes
      AnyValRep

11. #### def classLines: List[String]

    Definition Classes
      Z → AnyValRep

12. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

13. #### def commonClassLines: collection.immutable.List[String]

    Definition Classes
      AnyValRep

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

19. #### def indent(s: String): String

    Definition Classes
      AnyValRep

20. #### def indentN(s: String): String

    Definition Classes
      AnyValRep

21. #### def interpolate(s: String): String

    Definition Classes
      AnyValRep

22. #### def interpolations: Map[String, String]

    Definition Classes
      AnyValRep

23. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

24. #### val javaEquiv: String

    Definition Classes
      AnyValRep

25. #### def lcname: String

    Definition Classes
      AnyValRep

26. #### def make(): String

    Definition Classes
      AnyValRep

27. #### def mkClass: String

    Definition Classes
      AnyValRep

28. #### def mkImports: String

    Definition Classes
      AnyValRep

29. #### def mkObject: String

    Definition Classes
      AnyValRep

30. #### val name: String

    Definition Classes
      AnyValRep

31. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

32. #### final def notify(): Unit

    Definition Classes
      AnyRef

33. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

34. #### def objectDoc: String

    Definition Classes
      AnyValRep

35. #### def objectLines: List[String]

    Definition Classes
      Z → AnyValRep

36. #### val repr: Option[String]

    Definition Classes
      AnyValRep

37. #### def representation: String

    Definition Classes
      AnyValRep

38. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

39. #### def toString(): String

    Definition Classes
      AnyValRep → AnyRef → Any

40. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

41. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

42. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

43. #### def zeroRep: String

    Definition Classes
      AnyValRep

### Inherited from AnyVals.AnyValRep

### Inherited from AnyRef

### Inherited from Any

### Ungrouped